/**********************************************************************
 * Class TableNS2INSTITUTION
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven  
 * Default values for all attributes (-1 for all numeric ones) 2011-04-08
 * Created on 2010-07-27 by Karaca Kocer
 ********************************************************************/

package org.nbnResolving.database.model;

import java.util.Date;

/**
 * A simple class modeling 1:1 the existing Sybase
 * RMDS table NS2INSTITUTION in epicur database.
 * For more information please see the database model.
 * 
 * @author Kadir Karaca Kocer
 */

public class TableNS2INSTITUTION {
	int     ns_id = -1;                //unique id of the namespace
	int     institution_id = -1;       //unique id of the institution
	Date    created = new Date();      //date this record created. Default: NOW!
	Date    last_modified = new Date();//date this record last modified
	
	/**
	 * @return the ns_id
	 */
	public int getNs_id() {
		return this.ns_id;
	}
	
	/**
	 * @param ns_id the ns_id to set
	 */
	public void setNs_id(int ns_id) {
		this.ns_id = ns_id;
	}
	
	/**
	 * @return the institution_id
	 */
	public int getInstitution_id() {
		return this.institution_id;
	}
	
	/**
	 * @param institution_id the institution_id to set
	 */
	public void setInstitution_id(int institution_id) {
		this.institution_id = institution_id;
	}
	
	/**
	 * @return the created
	 */
	public Date getCreated() {
		return this.created;
	}
	
	/**
	 * @param created the created to set
	 */
	public void setCreated(Date created) {
		this.created = created;
	}
	
	/**
	 * @return the last_modified
	 */
	public Date getLast_modified() {
		return this.last_modified;
	}
	
	/**
	 * @param last_modified the last_modified to set
	 */
	public void setLast_modified(Date last_modified) {
		this.last_modified = last_modified;
	}
}
