/**********************************************************************
 * Class TablePERMISSION
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven
 * Default values for all attributes (-1 for all numeric ones) 2011-04-08
 * Created on 2010-07-27 by Karaca Kocer
 ********************************************************************/

package org.nbnResolving.database.model;

import java.util.Date;

/**
 * A simple class modeling 1:1 the existing Sybase
 * RMDS table PERMISSION in epicur database.
 * For more information please see the database model.
 * 
 * @author Kadir Karaca Kocer
 */

public class TablePERMISSION {
	int     permission_id = -1; //unique id
	boolean create_urn = false;    //1: granted
	boolean modify_urn = false;    //1: granted
	boolean create_url = false;    //1: granted
	boolean delete_url = false;    //1: granted
	boolean modify_url = false;    //1: granted
	boolean create_person = false; //1: granted
	boolean modify_person = false; //1: granted
	boolean delete_person = false; //1: granted
	boolean create_institution = false; //1: granted
	boolean modify_institution = false; //1: granted
	Date    created = new Date();  //date this record created. Default: NOW!
	Date    last_modified = new Date(); //date this record last modified
	String  comment = null;             //human readable comments about this record
	
	/**
	 * @return the permission_id
	 */
	public int getPermission_id() {
		return this.permission_id;
	}
	
	/**
	 * @param permission_id the permission_id to set
	 */
	public void setPermission_id(int permission_id) {
		this.permission_id = permission_id;
	}
	
	/**
	 * @return the create_urn
	 */
	public boolean isCreate_urn() {
		return this.create_urn;
	}
	
	/**
	 * @param create_urn the create_urn to set
	 */
	public void setCreate_urn(boolean create_urn) {
		this.create_urn = create_urn;
	}
	
	/**
	 * @return the modify_urn
	 */
	public boolean isModify_urn() {
		return this.modify_urn;
	}
	
	/**
	 * @param modify_urn the modify_urn to set
	 */
	public void setModify_urn(boolean modify_urn) {
		this.modify_urn = modify_urn;
	}
	
	/**
	 * @return the create_url
	 */
	public boolean isCreate_url() {
		return this.create_url;
	}
	
	/**
	 * @param create_url the create_url to set
	 */
	public void setCreate_url(boolean create_url) {
		this.create_url = create_url;
	}
	
	/**
	 * @return the delete_url
	 */
	public boolean isDelete_url() {
		return this.delete_url;
	}
	
	/**
	 * @param delete_url the delete_url to set
	 */
	public void setDelete_url(boolean delete_url) {
		this.delete_url = delete_url;
	}
	
	/**
	 * @return the modify_url
	 */
	public boolean isModify_url() {
		return this.modify_url;
	}
	
	/**
	 * @param modify_url the modify_url to set
	 */
	public void setModify_url(boolean modify_url) {
		this.modify_url = modify_url;
	}
	
	/**
	 * @return the create_person
	 */
	public boolean isCreate_person() {
		return this.create_person;
	}
	
	/**
	 * @param create_person the create_person to set
	 */
	public void setCreate_person(boolean create_person) {
		this.create_person = create_person;
	}
	
	/**
	 * @return the modify_person
	 */
	public boolean isModify_person() {
		return this.modify_person;
	}
	
	/**
	 * @param modify_person the modify_person to set
	 */
	public void setModify_person(boolean modify_person) {
		this.modify_person = modify_person;
	}
	
	/**
	 * @return the delete_person
	 */
	public boolean isDelete_person() {
		return this.delete_person;
	}
	
	/**
	 * @param delete_person the delete_person to set
	 */
	public void setDelete_person(boolean delete_person) {
		this.delete_person = delete_person;
	}
	
	/**
	 * @return the create_institution
	 */
	public boolean isCreate_institution() {
		return this.create_institution;
	}
	
	/**
	 * @param create_institution the create_institution to set
	 */
	public void setCreate_institution(boolean create_institution) {
		this.create_institution = create_institution;
	}
	
	/**
	 * @return the modify_institution
	 */
	public boolean isModify_institution() {
		return this.modify_institution;
	}
	
	/**
	 * @param modify_institution the modify_institution to set
	 */
	public void setModify_institution(boolean modify_institution) {
		this.modify_institution = modify_institution;
	}
	
	/**
	 * @return the created
	 */
	public Date getCreated() {
		return this.created;
	}
	
	/**
	 * @param created the created to set
	 */
	public void setCreated(Date created) {
		this.created = created;
	}
	
	/**
	 * @return the last_modified
	 */
	public Date getLast_modified() {
		return this.last_modified;
	}
	
	/**
	 * @param last_modified the last_modified to set
	 */
	public void setLast_modified(Date last_modified) {
		this.last_modified = last_modified;
	}
	
	/**
	 * @return the comment
	 */
	public String getComment() {
		return this.comment;
	}
	
	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
	
}
